## org.springframework.web.client
Class RestClientException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.web.client.RestClientException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HttpStatusCodeException, ResourceAccessException

    public class RestClientException

extends NestedRuntimeException

Base class for exceptions thrown by `RestTemplate` whenever it encounters client-side HTTP errors.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  Serialized Form

Constructor Summary
`RestClientException(String msg)` Construct a new instance of `HttpClientException` with the given message.
`RestClientException(String msg, Throwable ex)` Construct a new instance of `HttpClientException` with the given message and exception.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestClientException

    public RestClientException(String msg)

  Construct a new instance of `HttpClientException` with the given message.

  Parameters:
    `msg` - the message

### RestClientException

    public RestClientException(String msg,
                               Throwable ex)

  Construct a new instance of `HttpClientException` with the given message and exception.

  Parameters:
    `msg` - the message
    `ex` - the exception